{% extends "base.html" %}
{% load staticfiles %}
{% block regis_login %}
    {% if logged %}
    <div id="modal_trigger" href="#" class="btn-login">
            {% csrf_token %}
            {% if is_writer %}
            <a style="color: #ffffff" href="{% url 'addnews' %}">+</a>
            {% endif %}
            <a style="color: #ffffff" href="{% url 'modify_infor' %}">{{username}}</a>
            <a style="color: #ffffff" href="{% url 'user_logout' %}">Đăng xuất</a>
    </div>
    {% else %}
    <div id="modal_trigger" style ="z-index: 99" href="#" class="btn-login"><i class = "fa fa-sign-in"></i>

        {{username}}

        <div id="modal" class="popupContainer" style="display:none;border: 1px black solid">
            <header class="popupHeader">
                    <span class="header_title">Login</span>
                    <span class="modal_close" id="modal_close"><i class="fa fa-times"></i></span>
            </header>

            <section class="popupBody">
                    <!-- Social Login -->
                    <div class="social_login">
                            <div class="">

                                    <a href="{% url 'social:begin' 'facebook' %}" class="social_box fb">
                                            <span class="icon"><i class="fa fa-facebook"></i></span>
                                            <span class="icon_title">Kết nối bằng Facebook</span>

                                    </a>

                                    <a href="#" class="social_box google">
                                            <span class="icon"><i class="fa fa-google-plus"></i></span>
                                            <span class="icon_title">Kết nối bằng Google</span>
                                    </a>
                            </div>

                            <div class="centeredText">
                                    <span>Hoặc dùng tài khoản của bạn</span>
                            </div>

                            <div class="action_btns">
                                    <div class="one_half"><a href="#" id="login_form" class="btn">Login</a></div>
                                    <div class="one_half last"><a href="#" id="register_form" class="btn">Sign up</a></div>
                            </div>
                    </div>

                    <!-- Username & Password Login form -->
                    <div class="user_login">

                      <form  method="POST" action="{% url 'user_login' %}">
                          {% csrf_token %}
                          {# A more "HTML" way of creating the login form#}
                          <label for="username">Tên tài khoản:</label>
                          <input type="text" name="username" placeholder="Tên tài khoản">
                          <label for="password">Mật khẩu:</label>
                          <input type="password" name="password" placeholder="Mật khẩu">
                                    <div class="action_btns">
                                            <div class="one_half"><a href="#" class="btn back_btn"><i class="fa fa-angle-double-left"></i> Back</a></div>
                                            <div class="one_half last"><input type="submit" class="btn btn_red" value="LogIn"></div>
                                    </div>
                            </form>

                            <a href="#" class="forgot_password">Forgot password?</a>
                    </div>

                    <!-- Register Form -->
                    <div class="user_register">

                        <form method="POST" action="{% url 'user_regis' %}">
                            {% csrf_token %}
                            {{ form.non_field_errors }}
                            {% for field in form %}
                                {% if field.errors %}
                                  <ul class="form-errors">
                                  {% for error in field.errors %}
                                      <li><span class="fa fa-exclamation-triangle"></span> <strong>{{ error|escape }}</strong></li>
                                  {% endfor %}
                                </ul>
                                {% endif %}
                            {{ field.label_tag }} {{ field }}
                            {% endfor %}

                              <div class="action_btns">
                                      <div class="one_half"><a href="#" class="btn back_btn"><i class="fa fa-angle-double-left"></i> Back</a></div>
                                      <!-- <div class="one_half last"><a href="#" class="btn btn_red"> Register</a></div> -->
                                      <div class="one_half last"><input type="submit" class="btn btn_red" value="Register"></div>
                              </div>
                      </form>
                    </div>
            </section>
    </div>



</div>
    {% endif %}
    
    {% endblock regis_login %}

{% block content %}





<div class = "container">

     <div class = "row">
         <h2>Tin mới nhất</h2>
        {% for post in list_post %}

        <div class ="col-lg-6">
            <div class="media">
                <div class="media-left">
                  <img src= "{{post.img_src}}" alt="{{trendy.img_src}}" class="media-object" style="width:80px">
                    <p style = {font-size:8px}>{{post.date}} {{post.time}}</p>
                </div>
                <div class="media-body">
                  <h4 class="media-heading">{{post.title}}</h4>
                  <p>{{post.summary}}</p>
                  <a href={{post.link}}>Đọc thêm</a>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>




</div>

{% endblock content %}